Index: /palm/trunk/TUTORIAL/SOURCE/canopy_model.tex
===================================================================
--- /palm/trunk/TUTORIAL/SOURCE/canopy_model.tex	(revision 1492)
+++ /palm/trunk/TUTORIAL/SOURCE/canopy_model.tex	(revision 1493)
@@ -25,5 +25,5 @@
   morecomment=[l]{!\ }% Comment only with space after !
 }
-
+\usepackage{tabto}
 
 \institute{Institut fÃŒr Meteorologie und Klimatologie, Leibniz UniversitÃ€t Hannover}
@@ -62,4 +62,5 @@
 \subsection{The embedded Canopy Model}
 
+
 %Folie 01
 \begin{frame}
@@ -72,9 +73,10 @@
          \item<4->{scalar exchange processes between canopy and atmosphere.}
       \end{itemize}
-      \item<5->{Within the canopy model, the plant canopy acts as a sink for momentum and as a source/sink for active (e.g. temperature) and passive (e.g. tracer) scalars.}
-      \item<6->{The canopy model does not account for each plant element, but rather accounts for a volume averaged effect on the flow and scalar concentration, depending on:}
+      \item<5->{The plant canopy acts as a sink for momentum and as a source/sink for active (e.g. temperature) and passive (e.g. tracer) scalars.}
+      \item<6->{The source/sink strength for momentum and scalars depends on e.g.:}
       \begin{itemize}
          \item<7->{leaf area density,}
-         \item<8->{drag coefficient.}
+         \item<8->{drag coefficient,}
+         \item<9->{wind speed.}
       \end{itemize}
    \end{itemize}
@@ -90,5 +92,5 @@
       \item<1->{A plant canopy affects the flow by acting as a momentum sink due to form and viscous drag forces.}
       \item<2->{The effectiveness of momentum absorption depends on the amount of leaf area per unit volume and the aerodynamic drag.}
-      \item<3->{Due to the aerodynamic drag, the flow is decelerated within the canopy, leading to an inflection point in the vertical profile of the horizontal velocity at the canopy top.
+      \item<3->{Due to the aerodynamic drag, the flow is decelerated within the canopy, creating an inflection point in the vertical profile of the horizontal velocity at the canopy top.
          \begin{center}
             \includegraphics[width=0.5\textwidth]{canopy_model_figures/abb1.png}
@@ -132,11 +134,11 @@
       }
       \begin{itemize}
-         \item<3->{ $c_{d}$ : drag coefficient}
-         \item<4->{ $a $ : leaf area density $[m^{2}m^{-3}]$}
-         \item<5->{ $U$ : $(u^{2} + v^{2} + w^{2})^{1/2}$ $[m s^{-1}]$}
-         \item<6->{ $u_{i}$ : velocity component ($u_{1}=u$, $u_{2}=v$, $u_{3}=w$)}
+         \item<3->{ $c_{d}$\tabto{.5cm}: drag coefficient}
+         \item<4->{ $a $\tabto{.5cm}:    leaf area density $[m^{2}m^{-3}]$}
+         \item<5->{ $U$\tabto{.5cm}:     $(u^{2} + v^{2} + w^{2})^{1/2}$ $[m s^{-1}]$}
+         \item<6->{ $u_{i}$\tabto{.5cm}: velocity component ($u_{1}=u$, $u_{2}=v$, $u_{3}=w$)}
       \end{itemize}
    \end{itemize}
-   \uncover<7->{Note: The canopy model does not resolve the effect of single plant elements.}
+   \uncover<7->{Note: The canopy model does not resolve single plant elements, it rather models a volume-averaged effect of the forest drag on the flow.}
    \end{footnotesize}
 \end{frame}
@@ -149,10 +151,10 @@
    \begin{footnotesize}
    \begin{itemize}
-      \item<1->{The effect of the canopy on the subgrid scale turbulence is accounted for by adding a sink term to the prognostic equation for the subgrid scale turbulent kinetic energy:\\
+      \item<1->{The effect of the canopy on the subgrid scale turbulence is accounted for by adding a sink term to the prognostic equation for the subgrid-scale turbulent kinetic energy:\\
          \begin{align*}
             \frac{\partial e}{\partial t} = \text{...} - 2 c_{d} a U e
          \end{align*}
       }
-      \item<2->{It is assumed that the subgrid scale turbulent kinetic energy is dissipated by the canopy due to the rapid dissipation of wake turbulence in the lee of canopy elements (e.g. Watanabe, 2004).}
+      \item<2->{It is assumed that the subgrid scale turbulent kinetic energy is dissipated by the canopy due to the rapid dissipation of wake turbulence in the lee of plant elements (e.g. Watanabe, 2004).}
    \end{itemize}
    \end{footnotesize}
@@ -171,5 +173,5 @@
          \end{align*}
       }
-      \item<2->{It is assumed that the foliage is warmed by the penetrating solar radiation and, in turn, warms the surrounding air.}
+      \item<2->{It is assumed that the foliage is warmed by the penetrating solar radiation. In turn, the heated foliage warms the surrounding air.}
       \item<3->{The source strength $S_{\theta}$ is defined as the vertical derivative of the upward kinematic vertical heat flux $Q_{\theta}$, given by (Shaw and Schumann, 1992):\\
          \begin{align*}
@@ -211,10 +213,10 @@
    \frametitle{Basics (I)}
    \begin{itemize}
-      \item<1->{The canopy model is switched on by setting the parameter {\small \texttt{plant\_canopy = .TRUE.}} within the \&inipar {\small \texttt{NAMELIST}} in the parameter file ({\small \texttt{PARIN}}).}
+      \item<1->{The canopy model is enabled by adding {\small \texttt{NAMELIST}} group {\small \texttt{\&canopy\_par}} to the parameter file ({\small \texttt{PARIN}}), subsequently to {\small \texttt{NAMELIST}} group {\small \texttt{\&d3par}}.}
       \item<2->{All parameters for steering the canopy model are described in:\\
-      {\scriptsize Documentation $\rightarrow$ Model steering $\rightarrow$ Parameters $\rightarrow$ Initialization $\rightarrow$ Canopy}\\
+      {\scriptsize Documentation $\rightarrow$ Model steering $\rightarrow$ Parameters $\rightarrow$ Plant canopy}\\
       (http://palm.muk.uni-hannover.de)
       }
-      \item<3->{The following slides will describe how to set up a simulation with a simple horizontally homogeneous canopy block covering the entire model domain surface. In this case, {\small \texttt{canopy\_mode = 'block'}} must be set in \&inipar {\small \texttt{NAMELIST}}.}
+      \item<3->{The following slides will describe how to set up a simulation with a simple horizontally homogeneous canopy block, covering the entire model domain surface. In this case, {\small \texttt{canopy\_mode = 'block'}} must be set in {\small \texttt{\&canopy\_par}} {\small \texttt{NAMELIST}}.}
    \end{itemize}
 \end{frame}
@@ -224,8 +226,8 @@
 %Folie 09
 \begin{frame}
-   \frametitle{Basic canopy parameter (I)}
-   The parameters for steering the canopy model have to be added to the \&inipar {\small \texttt{NAMELIST}} in the parameter file ({\small \texttt{PARIN}}).\\
+   \frametitle{Basic canopy parameters (I)}
+   The parameters for steering the canopy model have to be added to the {\small \texttt{\&canopy\_par}} {\small \texttt{NAMELIST}} in the parameter file ({\small \texttt{PARIN}}).\\
     \begin{itemize}
-       \item<1->{Step I: Define the upper boundary of the plant canopy layer using the parameter {\small \texttt{pch\_index (grid point index, default 0)}}. {\small \texttt{pch\_index}} specifies the number of grid points resolving the canopy layer in the vertical direction.}
+       \item<1->{Step I: Define the upper boundary of the plant canopy volume using the parameter {\small \texttt{pch\_index}} (grid point index, default 0). {\small \texttt{pch\_index}} specifies the number of grid points resolving the canopy layer in the vertical direction.}
     \end{itemize}
    \vspace{10pt}
@@ -363,9 +365,173 @@
 %Folie 10
 \begin{frame}
-   \frametitle{Basic canopy parameter (II)}
+   \frametitle{Basic canopy parameters (II)}
     \begin{itemize}
        \item<1->{ Step II: Construct the vertical profile of the leaf area density (lad) to prescribe the distribution of leaf area within the plant canopy volume.\\
-       The canopy top is located between {\small \texttt{zu(pch\_index)}} and {\small \texttt{zu(pch\_index + 1)}} because this is the transition between the in-canopy grid point and the above-canopy grid point.
-       }
+                  Two methods are available to prescribe an lad profile:}
+       \begin{itemize}
+          \item<2->{Create piecewise linear segments by prescribing vertical lad gradients,} 
+          \item<3->{Prescribe a beta probability distribution.} 
+       \end{itemize}
+
+    \end{itemize}
+   \vspace{10pt}
+
+   \tikzstyle{background} = [rectangle, fill=gray!10, text width=1\textwidth, text centered, rounded corners, minimum height=10em]
+   \tikzstyle{Key1} = [rectangle, draw, fill=gray!70, text width=0.05, minimum size=0.05, font=\tiny]
+   \tikzstyle{Key2} = [rectangle, draw, fill=green!90, text width=0.05, minimum size=0.05, font=\tiny]
+   \tikzstyle{Key3} = [rectangle, text width=4.5cm, minimum size=16pt, font=\tiny]
+   \tikzstyle{label} = [rectangle, text width=2.0cm, align=center, minimum size=16pt, font=\tiny]
+
+\begin{tikzpicture}[>=latex']
+	%%% Edit the following coordinate to change the shape of your
+	%%% cuboid
+
+	%% Vanishing points for perspective handling
+	\coordinate (P1) at (-4cm,1.5cm); % left vanishing point (To pick)
+	\coordinate (P2) at (10cm,1.5cm); % right vanishing point (To pick)
+
+	%% (A1) and (A2) defines the 2 central points of the cuboid
+	\coordinate (A1) at (0cm,0cm); % central top point (To pick)
+	\coordinate (A2) at (0cm,-2cm); % central bottom point (To pick)
+	
+	%% (A3) to (A8) are computed given a unique parameter (or 2) .8
+	% You can vary .8 from 0 to 1 to change perspective on left side
+	\coordinate (A3) at ($(P1)!.8!(A2)$); % To pick for perspective 
+	\coordinate (A4) at ($(P1)!.8!(A1)$);
+
+	% You can vary .8 from 0 to 1 to change perspective on right side
+	\coordinate (A7) at ($(P2)!.7!(A2)$);
+	\coordinate (A8) at ($(P2)!.7!(A1)$);
+
+	%% Automatically compute the last 2 points with intersections
+	\coordinate (A5) at
+	  (intersection cs: first line={(A8) -- (P1)},
+			    second line={(A4) -- (P2)});
+	\coordinate (A6) at
+	  (intersection cs: first line={(A7) -- (P1)}, 
+			    second line={(A3) -- (P2)});
+
+	%% Drawing the canopy layer
+	\coordinate (A9) at (0em,-1.7cm); % central bottom point (To pick)
+	\coordinate (A10) at ($(P2)!.7!(A9)$);
+	\coordinate (A12) at ($(P1)!.8!(A9)$); % To pick for perspective 
+	\coordinate (A11) at
+	  (intersection cs: first line={(A10) -- (P1)}, 
+			    second line={(A12) -- (P2)});
+
+	%%% Depending of what you want to display, you can comment/edit
+	%%% the following lines
+
+	{\node [background, right=-0.8cm of A12] (background) {};}
+
+	%% Possibly draw back faces
+
+	\fill[gray!70] (A2) -- (A3) -- (A6) -- (A7) -- cycle; % face 6
+	\node at (barycentric cs:A2=1,A3=1,A6=1,A7=1) {\tiny };
+	
+	\fill[gray!30] (A3) -- (A4) -- (A5) -- (A6) -- cycle; % face 3
+	\node at (barycentric cs:A3=1,A4=1,A5=1,A6=1) {\tiny };
+	
+	\fill[gray!10] (A5) -- (A6) -- (A7) -- (A8) -- cycle; % face 4
+	\node at (barycentric cs:A5=1,A6=1,A7=1,A8=1) {\tiny };
+	
+	
+	\fill[green!90] (A9) -- (A10) -- (A11) -- (A12) -- cycle; % face 7
+	\node at (barycentric cs:A9=1,A10=1,A11=1,A12=1) {\tiny };
+	
+	\fill[green!100] (A9) -- (A12) -- (A3) -- (A2) -- cycle; % face 8
+	\node at (barycentric cs:A9=1,A12=1,A3=1,A2=1) {\tiny };
+	
+	\fill[green!100] (A9) -- (A10) -- (A7) -- (A2) -- cycle; % face 9
+	\node at (barycentric cs:A9=1,A10=1,A7=1,A2=1) {\tiny };
+	
+	\draw[thin,dashed] (A5) -- (A6);
+	\draw[thin,dashed] (A3) -- (A6);
+	\draw[thin,dashed] (A7) -- (A6);
+
+	\draw[thin,dashed] (A11) -- (A12);
+	\draw[thin,dashed] (A10) -- (A11);
+	
+	%% Possibly draw front faces
+
+	% \fill[orange] (A1) -- (A8) -- (A7) -- (A2) -- cycle; % face 1
+	% \node at (barycentric cs:A1=1,A8=1,A7=1,A2=1) {\tiny f1};
+	\fill[gray!50,opacity=0.2] (A1) -- (A2) -- (A3) -- (A4) -- cycle; % f2
+	\node at (barycentric cs:A1=1,A2=1,A3=1,A4=1) {\tiny };
+	\fill[gray!90,opacity=0.2] (A1) -- (A4) -- (A5) -- (A8) -- cycle; % f5
+	\node at (barycentric cs:A1=1,A4=1,A5=1,A8=1) {\tiny };
+
+	%% Possibly draw front lines
+	\draw[thin] (A1) -- (A2);
+	\draw[thin] (A3) -- (A4);
+	\draw[thin] (A7) -- (A8);
+	\draw[thin] (A1) -- (A4);
+	\draw[thin] (A1) -- (A8);
+	\draw[thin] (A2) -- (A3);
+	\draw[thin] (A2) -- (A7);
+	\draw[thin] (A4) -- (A5);
+	\draw[thin] (A8) -- (A5);
+	
+	\draw[thin] (A9) -- (A10);
+	\draw[thin] (A9) -- (A12);
+	
+	% Possibly draw points
+	% (it can help you understand the cuboid structure)
+	\foreach \i in {1,2,...,12}
+	{
+	%  \draw[fill=black] (A\i) circle (0.05em)
+	%    node[above right] {\tiny \i};
+	}
+	% \draw[fill=black] (P1) circle (0.1em) node[below] {\tiny p1};
+	% \draw[fill=black] (P2) circle (0.1em) node[below] {\tiny p2};
+	
+	%Key	
+	\coordinate (K1) at (0.5cm,-2.3cm);
+	\coordinate (K2) at (0.5cm,-2.7cm);
+	
+	
+	\node [Key1, right=0.0cm of K1] (key1) {};
+	\node [Key2, right=0.0cm of K2] (key2) {};
+	\node [Key3, right=0.4cm of K1] (key11) {Total model domain};
+	\node [Key3, right=0.4cm of K2] (key21) {Plant canopy volume};
+	
+	%% frame specific elements
+	
+	%% boundary layer profile 2D
+	\coordinate (B1) at (4.0cm,0.3cm);
+	\coordinate (B2) at (4.0cm,-2.5cm);
+	
+	\coordinate (B3) at (4.0cm,0.6cm);
+	\coordinate (B4) at (6.6cm,-2.5cm);
+	
+	\draw[thin, dotted] (A10) -- (B1);
+	\draw[thin, dotted] (A7) -- (B2);
+	\draw[<-] (B3) -- (B2);
+	\draw[<-] (B4) -- (B2);
+	
+	\coordinate (xlab) at (5.3cm,-2.5cm);
+	\coordinate (ylab) at (4.0cm,-1.1cm);
+	\node [label, below=0.0cm of xlab] (xlabel) {lad $[m^{2}m^{-3}]$};
+	\node [label, rotate=90, above=0.0cm of ylab] (ylabel) {z$[m]$};
+	
+	
+	\coordinate (B5) at (4.5cm,-2.5cm);
+%	\draw [-,color=red] (B1) to [out=-10,in=90,looseness=2.0, relative=false] .. controls (4,0) and (5,0) .. (B5);
+	\draw {(B1) .. controls (8.0,-0.2) and (4.5,-1.0) .. (B5)};
+	
+
+\end{tikzpicture}
+
+
+\end{frame}
+
+
+
+%Folie 11
+\begin{frame}
+   \frametitle{Basic canopy parameters (II)}
+    \begin{itemize}
+       \item<1->{ Method I: Create lad profile from piecewise linear segments by prescribing vertical lad gradients.}
+       \item[]{The canopy top is located at {\small \texttt{zw(pch\_index)}} (w-grid), which is in the center between {\small \texttt{zu(pch\_index)}} and {\small \texttt{zu(pch\_index + 1)}} (u-grid).}
     \end{itemize}
    \vspace{10pt}
@@ -559,11 +725,188 @@
 
 
-
-%Folie 11
-\begin{frame}
-   \frametitle{Basic canopy parameter (III)}
+%Folie 12
+\begin{frame}
+   \frametitle{Basic canopy parameters (II)}
+    \begin{itemize}
+       \item<1->{ Method II: Create \textit{lad} profile by prescribing a distribution, following this beta probability density function:}
+    \end{itemize}
+
+
+   %equation for beta distribution:
+   \vspace{-3pt}
+   \scriptsize
+   \begin{equation*}
+    f_{PDF}(\frac{z}{H},\alpha,\beta) = \frac{(\frac{z}{H})^{\alpha-1}\;(1-\frac{z}{H})^{\beta-1}}{\int_{0}^{1}\;(\frac{z}{H})^{\alpha-1}\;(1-\frac{z}{H})^{\beta-1}\;d(\frac{z}{H})} 
+   \end{equation*}
+   \vspace{5pt}
+   \begin{equation*}
+    \rightarrow \hspace{5pt} lad(z) = LAI\cdot f_{PDF}(\frac{z}{H})\cdot H
+   \end{equation*}
+   \normalsize
+
+
+
+   %draw figure:
+   \tikzstyle{background} = [rectangle, fill=gray!10, text width=1\textwidth, text centered, rounded corners, minimum height=10em]
+   \tikzstyle{Key1} = [rectangle, draw, fill=gray!70, text width=0.05, minimum size=0.05, font=\tiny]
+   \tikzstyle{Key2} = [rectangle, draw, fill=green!90, text width=0.05, minimum size=0.05, font=\tiny]
+   \tikzstyle{Key3} = [rectangle, text width=4.5cm, minimum size=16pt, font=\tiny]
+   \tikzstyle{label} = [rectangle, text width=2.0cm, align=center, minimum size=16pt, font=\tiny]
+
+\begin{tikzpicture}[>=latex']
+	%%% Edit the following coordinate to change the shape of your
+	%%% cuboid
+
+	%% Vanishing points for perspective handling
+	\coordinate (P1) at (-4cm,1.5cm); % left vanishing point (To pick)
+	\coordinate (P2) at (10cm,1.5cm); % right vanishing point (To pick)
+
+	%% (A1) and (A2) defines the 2 central points of the cuboid
+	\coordinate (A1) at (0cm,0cm); % central top point (To pick)
+	\coordinate (A2) at (0cm,-2cm); % central bottom point (To pick)
+	
+	%% (A3) to (A8) are computed given a unique parameter (or 2) .8
+	% You can vary .8 from 0 to 1 to change perspective on left side
+	\coordinate (A3) at ($(P1)!.8!(A2)$); % To pick for perspective 
+	\coordinate (A4) at ($(P1)!.8!(A1)$);
+
+	% You can vary .8 from 0 to 1 to change perspective on right side
+	\coordinate (A7) at ($(P2)!.7!(A2)$);
+	\coordinate (A8) at ($(P2)!.7!(A1)$);
+
+	%% Automatically compute the last 2 points with intersections
+	\coordinate (A5) at
+	  (intersection cs: first line={(A8) -- (P1)},
+			    second line={(A4) -- (P2)});
+	\coordinate (A6) at
+	  (intersection cs: first line={(A7) -- (P1)}, 
+			    second line={(A3) -- (P2)});
+
+	%% Drawing the canopy layer
+	\coordinate (A9) at (0em,-1.7cm); % central bottom point (To pick)
+	\coordinate (A10) at ($(P2)!.7!(A9)$);
+	\coordinate (A12) at ($(P1)!.8!(A9)$); % To pick for perspective 
+	\coordinate (A11) at
+	  (intersection cs: first line={(A10) -- (P1)}, 
+			    second line={(A12) -- (P2)});
+
+	%%% Depending of what you want to display, you can comment/edit
+	%%% the following lines
+
+	{\node [background, right=-0.8cm of A12] (background) {};}
+
+	%% Possibly draw back faces
+
+	\fill[gray!70] (A2) -- (A3) -- (A6) -- (A7) -- cycle; % face 6
+	\node at (barycentric cs:A2=1,A3=1,A6=1,A7=1) {\tiny };
+	
+	\fill[gray!30] (A3) -- (A4) -- (A5) -- (A6) -- cycle; % face 3
+	\node at (barycentric cs:A3=1,A4=1,A5=1,A6=1) {\tiny };
+	
+	\fill[gray!10] (A5) -- (A6) -- (A7) -- (A8) -- cycle; % face 4
+	\node at (barycentric cs:A5=1,A6=1,A7=1,A8=1) {\tiny };
+	
+	
+	\fill[green!90] (A9) -- (A10) -- (A11) -- (A12) -- cycle; % face 7
+	\node at (barycentric cs:A9=1,A10=1,A11=1,A12=1) {\tiny };
+	
+	\fill[green!100] (A9) -- (A12) -- (A3) -- (A2) -- cycle; % face 8
+	\node at (barycentric cs:A9=1,A12=1,A3=1,A2=1) {\tiny };
+	
+	\fill[green!100] (A9) -- (A10) -- (A7) -- (A2) -- cycle; % face 9
+	\node at (barycentric cs:A9=1,A10=1,A7=1,A2=1) {\tiny };
+	
+	\draw[thin,dashed] (A5) -- (A6);
+	\draw[thin,dashed] (A3) -- (A6);
+	\draw[thin,dashed] (A7) -- (A6);
+
+	\draw[thin,dashed] (A11) -- (A12);
+	\draw[thin,dashed] (A10) -- (A11);
+	
+	%% Possibly draw front faces
+
+	% \fill[orange] (A1) -- (A8) -- (A7) -- (A2) -- cycle; % face 1
+	% \node at (barycentric cs:A1=1,A8=1,A7=1,A2=1) {\tiny f1};
+	\fill[gray!50,opacity=0.2] (A1) -- (A2) -- (A3) -- (A4) -- cycle; % f2
+	\node at (barycentric cs:A1=1,A2=1,A3=1,A4=1) {\tiny };
+	\fill[gray!90,opacity=0.2] (A1) -- (A4) -- (A5) -- (A8) -- cycle; % f5
+	\node at (barycentric cs:A1=1,A4=1,A5=1,A8=1) {\tiny };
+
+	%% Possibly draw front lines
+	\draw[thin] (A1) -- (A2);
+	\draw[thin] (A3) -- (A4);
+	\draw[thin] (A7) -- (A8);
+	\draw[thin] (A1) -- (A4);
+	\draw[thin] (A1) -- (A8);
+	\draw[thin] (A2) -- (A3);
+	\draw[thin] (A2) -- (A7);
+	\draw[thin] (A4) -- (A5);
+	\draw[thin] (A8) -- (A5);
+	
+	\draw[thin] (A9) -- (A10);
+	\draw[thin] (A9) -- (A12);
+	
+	% Possibly draw points
+	% (it can help you understand the cuboid structure)
+	\foreach \i in {1,2,...,12}
+	{
+	%  \draw[fill=black] (A\i) circle (0.05em)
+	%    node[above right] {\tiny \i};
+	}
+	% \draw[fill=black] (P1) circle (0.1em) node[below] {\tiny p1};
+	% \draw[fill=black] (P2) circle (0.1em) node[below] {\tiny p2};
+	
+	%Key	
+	\coordinate (K1) at (0.5cm,-2.3cm);
+	\coordinate (K2) at (0.5cm,-2.7cm);
+	
+	
+	\node [Key1, right=0.0cm of K1] (key1) {};
+	\node [Key2, right=0.0cm of K2] (key2) {};
+	\node [Key3, right=0.4cm of K1] (key11) {Total model domain};
+	\node [Key3, right=0.4cm of K2] (key21) {Plant canopy volume};
+	
+	%% frame specific elements
+	
+	%% boundary layer profile 2D
+	\coordinate (B1) at (4.0cm,0.3cm);
+	\coordinate (B2) at (4.0cm,-2.5cm);
+	
+	\coordinate (B3) at (4.0cm,0.6cm);
+	\coordinate (B4) at (6.6cm,-2.5cm);
+	
+	\draw[thin, dotted] (A10) -- (B1);
+	\draw[thin, dotted] (A7) -- (B2);
+	\draw[<-] (B3) -- (B2);
+	\draw[<-] (B4) -- (B2);
+	
+	\coordinate (xlab) at (5.3cm,-2.5cm);
+	\coordinate (ylab) at (4.0cm,-1.1cm);
+	\node [label, below=0.0cm of xlab] (xlabel) {lad $[m^{2}m^{-3}]$};
+	\node [label, rotate=90, above=0.0cm of ylab] (ylabel) {z$[m]$};
+	
+	
+	\coordinate (B5) at (4.5cm,-2.5cm);
+%	\draw [-,color=red] (B1) to [out=-10,in=90,looseness=2.0, relative=false] .. controls (4,0) and (5,0) .. (B5);
+	\draw {(B1) .. controls (8.0,-0.2) and (4.5,-1.0) .. (B5)};
+	
+        %parameters to be prescribed:
+	\node [Key3, right=2.1cm of B1] (label1) {Prescribe values for coefficients\\ $\alpha$, $\beta$ and for $LAI$:};
+
+	\coordinate (curvelabel11) at (5.9cm,-0.5cm);
+	\node [Key3, right=1.0cm of curvelabel11] (curvelabel12) {\texttt{alpha\_lad},\\ \texttt{beta\_lad},\\ \texttt{lai\_beta}.};
+\end{tikzpicture}
+
+
+\end{frame}
+
+
+
+%Folie 13
+\begin{frame}
+   \frametitle{Basic canopy parameters (III)}
    \begin{footnotesize}
     \begin{itemize}
-       \item<1->{Step III: Prescribe a value for the parameter {\small \texttt{drag\_coefficient (default 0.0)}}. The drag coefficient is a dimensionless factor describing the magnitude of the form drag by the canopy working against the flow. A larger form drag results in a greater momentum reduction.}
+       \item<1->{Step III: Prescribe a value for the parameter {\small \texttt{canopy\_drag\_coeff (default 0.0)}}. The drag coefficient is a dimensionless factor describing the magnitude of the form drag by the canopy working against the flow. A larger form drag results in a greater momentum reduction.}
     \end{itemize}
    
@@ -599,10 +942,10 @@
 
 
-%Folie 12
-\begin{frame}
-   \frametitle{Basic canopy parameter (IV)}
+%Folie 14
+\begin{frame}
+   \frametitle{Basic canopy parameters (IV)}
    \begin{itemize}
-      \item<1->{For steering the effect of the canopy sensible heat transfer, prescribe a value for the sensible heat flux at the canopy top, using the parameter \texttt{cthf} (see Methods (III)).}
-      \item<2->{The sink/source effect of the canopy on other scalar quantities, such as humidity or a passive tracer can be steered by the parameters \texttt{leaf\_surface\_concentration} and \texttt{scalar\_exchange\_coefficient} (see Methods (IV)).}
+      \item<1->{For steering the effect of the sensible heat transfer inside the canopy, prescribe a value for the sensible heat flux at the canopy top, using the parameter \texttt{cthf} (see Methods (III)).}
+      \item<2->{The sink/source effect of the canopy on other scalar quantities, such as humidity or a passive tracer can be steered by the parameters \texttt{leaf\_surface\_conc} and \texttt{leaf\_scalar\_exch\_coeff} (see Methods (IV)).}
    \end{itemize}
 \end{frame}
@@ -610,5 +953,5 @@
 
 
-%Folie 13
+%Folie 15
 \begin{frame}
    \frametitle{User-defined canopy}
@@ -753,5 +1096,5 @@
 	
 	% % Text
-	\uncover<4->{\node [text1, right=0.7cm of A7] (text1) {{\footnotesize Note: You might have to make changes in other parts of your {\small \texttt{USER\_CODE}} according to the changes / used parameters in: \texttt{user\_init\_plant\_canopy.f90}}};}
+	\uncover<4->{\node [text1, right=0.7cm of A7] (text1) {{\footnotesize Note: You might have to make changes in other parts of your {\small \texttt{USER\_CODE}} according to the changes in: \texttt{user\_init\_plant\_canopy.f90}}};}
 \end{tikzpicture}
 