Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 1485)
+++ palm/trunk/SOURCE/Makefile	(revision 1496)
@@ -20,5 +20,6 @@
 # Current revisions:
 # ------------------
-# 
+# Added land surface model and radiation model files: land_surface_model, 
+# radiation_model, user_init_land_surface
 # 
 # Former revisions:
@@ -206,6 +207,6 @@
 	init_grid.f90 init_masks.f90 init_ocean.f90 \
 	init_pegrid.f90 init_pt_anomaly.f90 init_rankine.f90 init_slope.f90 \
-	interaction_droplets_ptq.f90 local_flush.f90 local_getenv.f90 \
-	local_stop.f90 local_system.f90 local_tremain.f90 \
+	interaction_droplets_ptq.f90 land_surface_model.f90 local_flush.f90 \
+        local_getenv.f90 local_stop.f90 local_system.f90 local_tremain.f90 \
 	local_tremain_ini.f90 lpm.f90 lpm_advec.f90 lpm_boundary_conds.f90 \
 	lpm_calc_liquid_water_content.f90 lpm_collision_kernels.f90 \
@@ -221,7 +222,7 @@
 	package_parin.f90 palm.f90 parin.f90 plant_canopy_model.f90 poisfft.f90 \
 	poismg.f90 prandtl_fluxes.f90 pres.f90 print_1d.f90 production_e.f90 \
-	prognostic_equations.f90 progress_bar.f90 random_function.f90 \
-	random_gauss.f90 random_generator_parallel.f90 read_3d_binary.f90 \
-	read_var_list.f90 run_control.f90 \
+	prognostic_equations.f90 progress_bar.f90 radiation_model.f90 \
+	random_function.f90 random_gauss.f90 random_generator_parallel.f90 \
+	read_3d_binary.f90 read_var_list.f90 run_control.f90 \
 	set_slicer_attributes_dvrp.f90 singleton.f90 sor.f90 \
 	subsidence.f90 sum_up_3d_data.f90 \
@@ -237,4 +238,5 @@
 	user_dvrp_coltab.f90 user_header.f90 user_init.f90 \
 	user_init_3d_model.f90 user_init_grid.f90 \
+        user_init_land_surface.f90 \
 	user_init_plant_canopy.f90 user_last_actions.f90 user_lpm_advec.f90 \
 	user_lpm_init.f90 user_lpm_set_attributes.f90 user_module.f90 \
@@ -292,5 +294,6 @@
 check_for_restart.o: modules.o mod_kinds.o
 check_open.o: modules.o mod_kinds.o mod_particle_attributes.o
-check_parameters.o: modules.o mod_kinds.o subsidence.o plant_canopy_model.o
+check_parameters.o: modules.o mod_kinds.o subsidence.o land_surface_model.o\
+	plant_canopy_model.o
 close_file.o: modules.o mod_kinds.o
 compute_vpt.o: modules.o mod_kinds.o
@@ -327,5 +330,6 @@
 init_1d_model.o: modules.o mod_kinds.o
 init_3d_model.o: modules.o cpulog.o mod_kinds.o random_function.o advec_ws.o \
-	ls_forcing.o lpm_init.o plant_canopy_model.o random_generator_parallel.o
+	land_surface_model.o ls_forcing.o lpm_init.o plant_canopy_model.o \
+        radiation_model.o random_generator_parallel.o
 init_advec.o: modules.o mod_kinds.o
 init_cloud_physics.o: modules.o mod_kinds.o
@@ -340,4 +344,5 @@
 init_slope.o: modules.o mod_kinds.o
 interaction_droplets_ptq.o: modules.o mod_kinds.o
+land_surface_model.o: modules.o mod_kinds.o radiation_model.o
 local_flush.o: mod_kinds.o
 local_getenv.o: modules.o mod_kinds.o
@@ -383,5 +388,6 @@
 netcdf.o: modules.o mod_kinds.o
 nudging.o: modules.o cpulog.o mod_kinds.o
-package_parin.o: modules.o mod_kinds.o plant_canopy_model.o
+package_parin.o: modules.o mod_kinds.o land_surface_model.o plant_canopy_model.o \
+		 radiation_model.o
 palm.o: modules.o cpulog.o ls_forcing.o mod_kinds.o nudging.o
 parin.o: modules.o cpulog.o mod_kinds.o progress_bar.o
@@ -400,4 +406,5 @@
 	nudging.o plant_canopy_model.o production_e.o subsidence.o user_actions.o
 progress_bar.o: modules.o mod_kinds.o
+radiation_model.o : modules.o
 random_function.o: mod_kinds.o
 random_gauss.o: mod_kinds.o random_function.o random_generator_parallel.o
@@ -415,6 +422,8 @@
 temperton_fft.o: modules.o mod_kinds.o
 time_integration.o: modules.o advec_ws.o buoyancy.o calc_mean_profile.o \
-	cpulog.o interaction_droplets_ptq.o ls_forcing.o mod_kinds.o \
-	nudging.o production_e.o prognostic_equations.o progress_bar.o user_actions.o
+	cpulog.o interaction_droplets_ptq.o land_surface_model.o \
+	ls_forcing.o mod_kinds.o nudging.o production_e.o \
+	prognostic_equations.o progress_bar.o radiation_model.o \
+	user_actions.o
 time_to_string.o: mod_kinds.o
 timestep.o: modules.o cpulog.o mod_kinds.o
@@ -438,4 +447,5 @@
 user_init_3d_model.o: modules.o mod_kinds.o user_module.o
 user_init_grid.o: modules.o mod_kinds.o user_module.o
+user_init_land_surface.o: modules.o mod_kinds.o user_module.o land_surface_model.o
 user_init_plant_canopy.o: modules.o mod_kinds.o user_module.o plant_canopy_model.o
 user_last_actions.o: modules.o mod_kinds.o user_module.o