Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 1496)
+++ palm/trunk/SOURCE/Makefile	(revision 1497)
@@ -20,6 +20,5 @@
 # Current revisions:
 # ------------------
-# Added land surface model and radiation model files: land_surface_model, 
-# radiation_model, user_init_land_surface
+# 
 # 
 # Former revisions:
@@ -27,4 +26,8 @@
 # $Id$
 #
+# 1496 2014-12-02 17:25:50Z maronga
+# Added land surface model and radiation model files: land_surface_model, 
+# radiation_model, user_init_land_surface
+# 
 # 1484 2014-10-21 10:53:05Z kanani
 # plant_canopy_model-dependency added for check_parameters, header, init_3d_model,
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 1496)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 1497)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Added checks for the land surface model
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1496 2014-12-02 17:25:50Z maronga
+! Added checks for the land surface model
+! 
 ! 1484 2014-10-21 10:53:05Z kanani
 ! Changes due to new module structure of the plant canopy model:
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1496)
+++ palm/trunk/SOURCE/header.f90	(revision 1497)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Renamed: "radiation -> "cloud_top_radiation"
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1496 2014-12-02 17:25:50Z maronga
+! Renamed: "radiation -> "cloud_top_radiation"
+! 
 ! 1484 2014-10-21 10:53:05Z kanani
 ! Changes due to new module structure of the plant canopy model:
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 1496)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 1497)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Added initialization of the land surface and radiation schemes
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1496 2014-12-02 17:25:50Z maronga
+! Added initialization of the land surface and radiation schemes
+! 
 ! 1484 2014-10-21 10:53:05Z kanani
 ! Changes due to new module structure of the plant canopy model:
Index: palm/trunk/SOURCE/land_surface_model.f90
===================================================================
--- palm/trunk/SOURCE/land_surface_model.f90	(revision 1496)
+++ palm/trunk/SOURCE/land_surface_model.f90	(revision 1497)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Initial revision
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1496 2014-12-02 17:25:50Z maronga
+! Initial revision
+! 
 !
 ! Description:
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 1496)
+++ palm/trunk/SOURCE/modules.f90	(revision 1497)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Renamed "radiation" -> "cloud_top_radiation"
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1496 2014-12-02 17:25:50Z maronga
+! Renamed "radiation" -> "cloud_top_radiation"
+! 
 ! 1484 2014-10-21 10:53:05Z kanani
 ! Changes due to new module structure of the plant canopy model:
Index: palm/trunk/SOURCE/package_parin.f90
===================================================================
--- palm/trunk/SOURCE/package_parin.f90	(revision 1496)
+++ palm/trunk/SOURCE/package_parin.f90	(revision 1497)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Added support for the land surface model and radiation scheme
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1496 2014-12-02 17:25:50Z maronga
+! Added support for the land surface model and radiation scheme
+! 
 ! 1484 2014-10-21 10:53:05Z kanani
 ! Changes due to new module structure of the plant canopy model:
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 1496)
+++ palm/trunk/SOURCE/parin.f90	(revision 1497)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Renamed: "radiation -> "cloud_top_radiation"
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1496 2014-12-02 17:25:50Z maronga
+! Renamed: "radiation -> "cloud_top_radiation"
+! 
 ! 1484 2014-10-21 10:53:05Z kanani
 ! Changes due to new module structure of the plant canopy model:
Index: palm/trunk/SOURCE/prandtl_fluxes.f90
===================================================================
--- palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 1496)
+++ palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 1497)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Adapted for land surface model
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1496 2014-12-02 17:25:50Z maronga
+! Adapted for land surface model
+! 
 ! 1494 2014-11-21 17:14:03Z maronga
 ! Bugfixes: qs is now calculated before calculation of Rif. Ccalculation of 
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 1496)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 1497)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Renamed "radiation" -> "cloud_top_radiation"
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1496 2014-12-02 17:25:50Z maronga
+! Renamed "radiation" -> "cloud_top_radiation"
+! 
 ! 1484 2014-10-21 10:53:05Z kanani
 ! Changes due to new module structure of the plant canopy model:
Index: palm/trunk/SOURCE/radiation_model.f90
===================================================================
--- palm/trunk/SOURCE/radiation_model.f90	(revision 1496)
+++ palm/trunk/SOURCE/radiation_model.f90	(revision 1497)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Initial revision
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1496 2014-12-02 17:25:50Z maronga
+! Initial revision
+! 
 !
 ! Description:
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 1496)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 1497)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Renamed "radiation" -> "cloud_top_radiation"
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1496 2014-12-02 17:25:50Z maronga
+! Renamed "radiation" -> "cloud_top_radiation"
+! 
 ! 1484 2014-10-21 10:53:05Z kanani
 ! Changes in the course of the canopy-model modularization:
Index: palm/trunk/SOURCE/swap_timelevel.f90
===================================================================
--- palm/trunk/SOURCE/swap_timelevel.f90	(revision 1496)
+++ palm/trunk/SOURCE/swap_timelevel.f90	(revision 1497)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Added swapping of land surface model quantities
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1496 2014-12-02 17:25:50Z maronga
+! Added swapping of land surface model quantities
+! 
 ! 1374 2014-04-25 12:55:07Z raasch
 ! bugfix: use-statement for nopointer-case added
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 1496)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 1497)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Added calls for the land surface model and radiation scheme
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1496 2014-12-02 17:25:50Z maronga
+! Added calls for the land surface model and radiation scheme
+! 
 ! 1402 2014-05-09 14:25:13Z raasch
 ! location messages modified
Index: palm/trunk/SOURCE/user_init_land_surface.f90
===================================================================
--- palm/trunk/SOURCE/user_init_land_surface.f90	(revision 1496)
+++ palm/trunk/SOURCE/user_init_land_surface.f90	(revision 1497)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Initial revision
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 
+! 1496 2014-12-02 17:25:50Z maronga
+! Initial revision
+! 
 ! Description:
 ! ------------
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 1496)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 1497)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Renamed "radiation" -> "cloud_top_radiation"
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1496 2014-12-02 17:25:50Z maronga
+! Renamed "radiation" -> "cloud_top_radiation"
+! 
 ! 1484 2014-10-21 10:53:05Z kanani
 ! Changes in the course of the canopy-model modularization: