Index: /palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/read_var_list.f90	(revision 1501)
+++ /palm/trunk/SOURCE/read_var_list.f90	(revision 1502)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! ------------------
-! 
+! Canopy module and parameters removed (parameters are always read from 
+! canopy_par NAMELIST for initial and restart runs)
 ! 
 ! Former revisions:
@@ -151,11 +152,4 @@
 
     USE pegrid
-
-    USE plant_canopy_model_mod,                                                &
-        ONLY:  alpha_lad, beta_lad, canopy_drag_coeff, canopy_mode, cthf, lad, &
-               lad_surface, lad_vertical_gradient, lad_vertical_gradient_level,&
-               lad_vertical_gradient_level_ind,                                &
-               lai_beta, leaf_scalar_exch_coeff, leaf_surface_conc, pch_index, &
-               plant_canopy
 
     USE statistics,                                                            &
@@ -238,8 +232,8 @@
     READ ( 13 )  statistic_regions
     IF ( .NOT. ALLOCATED( ug ) )  THEN
-       ALLOCATE( lad(0:nz+1), ug(0:nz+1), u_init(0:nz+1), vg(0:nz+1),    &
-                 v_init(0:nz+1), pt_init(0:nz+1), q_init(0:nz+1),        &
-                 ref_state(0:nz+1), sa_init(0:nz+1),                     &
-                 hom(0:nz+1,2,pr_palm+max_pr_user,0:statistic_regions),  &
+       ALLOCATE( ug(0:nz+1), u_init(0:nz+1), vg(0:nz+1),                       &
+                 v_init(0:nz+1), pt_init(0:nz+1), q_init(0:nz+1),              &
+                 ref_state(0:nz+1), sa_init(0:nz+1),                           &
+                 hom(0:nz+1,2,pr_palm+max_pr_user,0:statistic_regions),        &
                  hom_sum(0:nz+1,pr_palm+max_pr_user,0:statistic_regions) )
     ENDIF
@@ -259,6 +253,4 @@
           CASE ( 'advected_distance_y' )
              READ ( 13 )  advected_distance_y
-          CASE ( 'alpha_lad' )
-             READ ( 13 )  alpha_lad
           CASE ( 'alpha_surface' )
              READ ( 13 )  alpha_surface
@@ -301,6 +293,4 @@
           CASE ( 'bc_uv_t' )
              READ ( 13 )  bc_uv_t
-          CASE ( 'beta_lad' )
-             READ ( 13 )  beta_lad
           CASE ( 'bottom_salinityflux' )
              READ ( 13 )  bottom_salinityflux
@@ -317,8 +307,4 @@
           CASE ( 'call_psolver_at_all_substeps' )
              READ ( 13 )  call_psolver_at_all_substeps
-          CASE ( 'canopy_drag_coeff' )
-             READ ( 13 )  canopy_drag_coeff
-          CASE ( 'canopy_mode' )
-             READ ( 13 )  canopy_mode
           CASE ( 'canyon_height' )
              READ ( 13 )  canyon_height
@@ -349,6 +335,4 @@
           CASE ( 'coupling_start_time' )
              READ ( 13 )  coupling_start_time
-          CASE ( 'cthf' )
-             READ ( 13 )  cthf
           CASE ( 'current_timestep_number' )
              READ ( 13 )  current_timestep_number
@@ -430,24 +414,8 @@
           CASE ( 'km_constant' )
              READ ( 13 )  km_constant
-          CASE ( 'lad' )
-             READ ( 13 )  lad
-          CASE ( 'lad_surface' )
-             READ ( 13 )  lad_surface
-          CASE ( 'lad_vertical_gradient' )
-             READ ( 13 )  lad_vertical_gradient
-          CASE ( 'lad_vertical_gradient_level' )
-             READ ( 13 )  lad_vertical_gradient_level
-          CASE ( 'lad_vertical_gradient_level_in' )
-             READ ( 13 )  lad_vertical_gradient_level_ind
-          CASE ( 'lai_beta' )
-             READ ( 13 )  lai_beta
           CASE ( 'large_scale_forcing' )
              READ ( 13 )  large_scale_forcing
            CASE ( 'large_scale_subsidence' )
              READ ( 13 )  large_scale_subsidence
-          CASE ( 'leaf_scalar_exch_coeff' )
-             READ ( 13 )  leaf_scalar_exch_coeff
-          CASE ( 'leaf_surface_conc' )
-             READ ( 13 )  leaf_surface_conc
           CASE ( 'limiter_sedimentation' )
              READ ( 13 )  limiter_sedimentation
@@ -501,10 +469,6 @@
           CASE ( 'passive_scalar' )
              READ ( 13 )  passive_scalar
-          CASE ( 'pch_index' )
-             READ ( 13 )  pch_index
           CASE ( 'phi' )
              READ ( 13 )  phi
-          CASE ( 'plant_canopy' )
-             READ ( 13 )  plant_canopy
           CASE ( 'prandtl_layer' )
              READ ( 13 )  prandtl_layer
@@ -605,5 +569,5 @@
           CASE ( 'time_disturb' )
              READ ( 13 )  time_disturb
-	  CASE ( 'time_dopr' )
+          CASE ( 'time_dopr' )
              READ ( 13 )  time_dopr
           CASE ( 'time_domask' )
@@ -734,5 +698,9 @@
 !
 !--    Read next string
+       WRITE(9,*) 'var1 ', variable_chr
+       CALL local_flush(9)
        READ ( 13 )  variable_chr
+       WRITE(9,*) 'var2 ', variable_chr
+       CALL local_flush(9)
 
     ENDDO
Index: /palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/write_var_list.f90	(revision 1501)
+++ /palm/trunk/SOURCE/write_var_list.f90	(revision 1502)
@@ -20,5 +20,8 @@
 ! Current revisions:
 ! -----------------
-! 
+! Canopy module and parameters removed (parameters are always read from 
+! canopy_par NAMELIST for initial and restart runs),
+! Bugfix: added blanks in "cloud_top_radiation"-string to a total of 30 
+! characters
 ! 
 ! Former revisions:
@@ -139,11 +142,4 @@
     USE pegrid
 
-    USE plant_canopy_model_mod,                                                &
-        ONLY:  alpha_lad, beta_lad, canopy_drag_coeff, canopy_mode, cthf, lad, &
-               lad_surface, lad_vertical_gradient, lad_vertical_gradient_level,&
-               lad_vertical_gradient_level_ind,                                &
-               lai_beta, leaf_scalar_exch_coeff, leaf_surface_conc, pch_index, &
-               plant_canopy
-    
     USE statistics,                                                            &
         ONLY:  statistic_regions, hom, hom_sum, u_max, u_max_ijk, v_max,       &
@@ -180,6 +176,4 @@
     WRITE ( 14 )  'advected_distance_y           '
     WRITE ( 14 )  advected_distance_y
-    WRITE ( 14 )  'alpha_lad                     '
-    WRITE ( 14 )  alpha_lad
     WRITE ( 14 )  'alpha_surface                 '
     WRITE ( 14 )  alpha_surface
@@ -222,6 +216,4 @@
     WRITE ( 14 )  'bc_uv_t                       '
     WRITE ( 14 )  bc_uv_t
-    WRITE ( 14 )  'beta_lad                      '
-    WRITE ( 14 )  beta_lad
     WRITE ( 14 )  'bottom_salinityflux           '
     WRITE ( 14 )  bottom_salinityflux
@@ -238,8 +230,4 @@
     WRITE ( 14 )  'call_psolver_at_all_substeps  '
     WRITE ( 14 )  call_psolver_at_all_substeps
-    WRITE ( 14 )  'canopy_drag_coeff              '
-    WRITE ( 14 )  canopy_drag_coeff
-    WRITE ( 14 )  'canopy_mode                   '
-    WRITE ( 14 )  canopy_mode
     WRITE ( 14 )  'canyon_height                 '
     WRITE ( 14 )  canyon_height
@@ -274,6 +262,4 @@
     WRITE ( 14 )  'curvature_solution_effects    '
     WRITE ( 14 )  curvature_solution_effects
-    WRITE ( 14 )  'cthf                          '
-    WRITE ( 14 )  cthf
     WRITE ( 14 )  'cycle_mg                      '
     WRITE ( 14 )  cycle_mg
@@ -350,24 +336,8 @@
     WRITE ( 14 )  'km_constant                   '
     WRITE ( 14 )  km_constant
-    WRITE ( 14 )  'lad                           '
-    WRITE ( 14 )  lad
-    WRITE ( 14 )  'lad_surface                   '
-    WRITE ( 14 )  lad_surface
-    WRITE ( 14 )  'lad_vertical_gradient         '
-    WRITE ( 14 )  lad_vertical_gradient
-    WRITE ( 14 )  'lad_vertical_gradient_level   '
-    WRITE ( 14 )  lad_vertical_gradient_level
-    WRITE ( 14 )  'lad_vertical_gradient_level_in'
-    WRITE ( 14 )  lad_vertical_gradient_level_ind
-    WRITE ( 14 )  'lai_beta                      '
-    WRITE ( 14 )  lai_beta
     WRITE ( 14 )  'large_scale_forcing           '
     WRITE ( 14 )  large_scale_forcing
     WRITE ( 14 )  'large_scale_subsidence        '
     WRITE ( 14 )  large_scale_subsidence
-    WRITE ( 14 )  'leaf_scalar_exch_coeff   '
-    WRITE ( 14 )  leaf_scalar_exch_coeff
-    WRITE ( 14 )  'leaf_surface_conc    '
-    WRITE ( 14 )  leaf_surface_conc
     WRITE ( 14 )  'limiter_sedimentation         '
     WRITE ( 14 )  limiter_sedimentation
@@ -418,10 +388,6 @@
     WRITE ( 14 )  'passive_scalar                '
     WRITE ( 14 )  passive_scalar
-    WRITE ( 14 )  'pch_index                     '
-    WRITE ( 14 )  pch_index
     WRITE ( 14 )  'phi                           '
     WRITE ( 14 )  phi
-    WRITE ( 14 )  'plant_canopy                  '
-    WRITE ( 14 )  plant_canopy
     WRITE ( 14 )  'prandtl_layer                 '
     WRITE ( 14 )  prandtl_layer
@@ -462,5 +428,5 @@
     WRITE ( 14 )  'q_vertical_gradient_level_ind '
     WRITE ( 14 )  q_vertical_gradient_level_ind
-    WRITE ( 14 )  'cloud_top_radiation       '
+    WRITE ( 14 )  'cloud_top_radiation           '
     WRITE ( 14 )  cloud_top_radiation
     WRITE ( 14 )  'random_generator              '