Index: palm/trunk/TUTORIAL/SOURCE/fundamentals_of_les.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/fundamentals_of_les.tex	(revision 1525)
+++ palm/trunk/TUTORIAL/SOURCE/fundamentals_of_les.tex	(revision 1526)
@@ -1,10 +1,9 @@
 % $Id$
 \input{header_tmp.tex}
-%\input{../header_lectures.tex}
+%\input{header_lectures.tex}
 
 \usepackage[utf8]{inputenc}
-\usepackage[T1]{fontenc}
+\usepackage{ngerman}
 \usepackage{pgf}
-\usetheme{Dresden}
 \usepackage{subfigure}
 \usepackage{units}
@@ -14,5 +13,4 @@
 \usepackage{xmpmulti}
 \usepackage{tikz}
-\usepackage{pdfcomment}
 \usetikzlibrary{shapes,arrows,positioning}
 \def\Tiny{\fontsize{4pt}{4pt}\selectfont}
@@ -22,6 +20,8 @@
 \usepackage{amssymb}
 \usepackage{multicol}
-
-\institute{Institut fÃŒr Meteorologie und Klimatologie, Leibniz UniversitÃ€t Hannover}
+\usepackage{pdfcomment}
+
+\institute{Institute of Meteorology and Climatology, Leibniz UniversitÃ€t Hannover}
+\selectlanguage{english}
 \date{last update: \today}
 \event{PALM Seminar}
@@ -42,5 +42,5 @@
 
 \title[Fundamentals of Large-Eddy Simulation]{Fundamentals of Large-Eddy Simulation}
-\author{Siegfried Raasch}
+\author{PALM group}
 
 % Notes:
Index: palm/trunk/TUTORIAL/SOURCE/header_HANDOUT.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/header_HANDOUT.tex	(revision 1525)
+++ palm/trunk/TUTORIAL/SOURCE/header_HANDOUT.tex	(revision 1526)
@@ -7,2 +7,4 @@
 \newcommand{\pdfnote}[2]{}
 \newcommand{\pdfwarn}[2]{}
+\usetheme{Dresden}
+\setbeamercolor*{palette tertiary}{use=structure,fg=black,bg=white}
Index: palm/trunk/TUTORIAL/SOURCE/header_LECTURE.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/header_LECTURE.tex	(revision 1525)
+++ palm/trunk/TUTORIAL/SOURCE/header_LECTURE.tex	(revision 1526)
@@ -6,2 +6,3 @@
 \newcommand{\pdfnote}[2]{}
 \newcommand{\pdfwarn}[2]{}
+\usetheme{Dresden}
Index: palm/trunk/TUTORIAL/SOURCE/header_WEB.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/header_WEB.tex	(revision 1525)
+++ palm/trunk/TUTORIAL/SOURCE/header_WEB.tex	(revision 1526)
@@ -4,4 +4,5 @@
 \usepackage[author=raasch]{pdfcomment}
 
+\usetheme{Dresden}
 
 \definestyle{note}{icon=Comment,color=white,open=true}
Index: palm/trunk/TUTORIAL/SOURCE/runs_with_mrun.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/runs_with_mrun.tex	(revision 1525)
+++ palm/trunk/TUTORIAL/SOURCE/runs_with_mrun.tex	(revision 1526)
@@ -569,5 +569,5 @@
 %lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic           lccrayh parallel
 %remote_username     <replace by your HLRN-III username>                lccrayh parallel
-%memory              1500                                               lccrayh parallel
+%memory              2300                                               lccrayh parallel
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayh parallel
 \end{lstlisting}};
Index: palm/trunk/TUTORIAL/SOURCE/sgs_models.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/sgs_models.tex	(revision 1525)
+++ palm/trunk/TUTORIAL/SOURCE/sgs_models.tex	(revision 1526)
@@ -6,5 +6,4 @@
 \usepackage{ngerman}
 \usepackage{pgf}
-\usetheme{Dresden}
 \usepackage{subfigure}
 \usepackage{units}
@@ -16,4 +15,6 @@
 \usetikzlibrary{shapes,arrows,positioning}
 \def\Tiny{\fontsize{4pt}{4pt}\selectfont}
+
+%---------- neue Pakete
 \usepackage{amsmath}
 \usepackage{amssymb}
@@ -21,5 +22,6 @@
 \usepackage{pdfcomment}
 
-\institute{Institut fÃŒr Meteorologie und Klimatologie, Leibniz UniversitÃ€t Hannover}
+\institute{Institute of Meteorology and Climatology, Leibniz UniversitÃ€t Hannover}
+\selectlanguage{english}
 \date{last update: \today}
 \event{PALM Seminar}
@@ -27,19 +29,18 @@
 
 \setbeamertemplate{footline}
-  {
+  {%
     \begin{beamercolorbox}[rightskip=-0.1cm]&
      {\includegraphics[height=0.65cm]{imuk_logo.pdf}\hfill \includegraphics[height=0.65cm]{luh_logo.pdf}}
     \end{beamercolorbox}
-    \begin{beamercolorbox}[ht=2.5ex,dp=1.125ex,
-      leftskip=.3cm,rightskip=0.3cm plus1fil]{title in head/foot}
-      {\leavevmode{\usebeamerfont{author in head/foot}\insertshortauthor} \hfill \eventname \hfill \insertframenumber \; / \inserttotalframenumber}
-    \end{beamercolorbox}
-    \begin{beamercolorbox}[colsep=1.5pt]{lower separation line foot}
-    \end{beamercolorbox}
-  }
-%\logo{\includegraphics[width=0.3\textwidth]{luhimuk_logo.pdf}}
+    \begin{beamercolorbox}[ht=2.5ex,dp=1.125ex,%
+      leftskip=.3cm,rightskip=0.3cm plus1fil]{title in head/foot}%
+      {\leavevmode{\usebeamerfont{author in head/foot}\insertshortauthor} \hfill \eventname \hfill \insertframenumber \; / \inserttotalframenumber}%
+    \end{beamercolorbox}%
+%    \begin{beamercolorbox}[colsep=1.5pt]{lower separation line foot}%
+%    \end{beamercolorbox}
+  }%\logo{\includegraphics[width=0.3\textwidth]{luhimuk_logo.eps}}
 
 \title[SGS Models]{SGS Models}
-\author{Siegfried Raasch}
+\author{PALM group}
 
 \begin{document}
@@ -134,5 +135,5 @@
    \begin{itemize}
       \item<3-> Originally designed at NCAR for global weather modeling.
-      \item<4-> Can be derived in several ways: heuristically (above), from inertial range arguments (Lilly), from turbulence theories.
+      \item<4-> Can be derived in several ways: heuristically (above), from inertial range arguments (Lilly), from turbulence theory.
       \item<5-> Constant predicted by all methods (based on theory, decay of isotropic turbulence): $C_S = \sqrt{C} \approx 0.2$
    \end{itemize}