Index: palm/trunk/TUTORIAL/SOURCE/basic_equations.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/basic_equations.tex	(revision 1528)
+++ palm/trunk/TUTORIAL/SOURCE/basic_equations.tex	(revision 1531)
@@ -1,10 +1,9 @@
 % $Id$
 \input{header_tmp.tex}
-%\input{../header_lectures.tex}
+%\input{../header_LECTURE.tex}
 
 \usepackage[utf8]{inputenc}
 \usepackage{ngerman}
 \usepackage{pgf}
-\usetheme{Dresden}
 \usepackage{subfigure}
 \usepackage{units}
@@ -14,32 +13,35 @@
 \usepackage{xmpmulti}
 \usepackage{tikz}
-\usetikzlibrary{shapes,arrows,positioning}
+\usetikzlibrary{shapes,arrows,positioning,decorations.pathreplacing}
 \def\Tiny{\fontsize{4pt}{4pt}\selectfont}
+
+%---------- neue Pakete
 \usepackage{amsmath}
 \usepackage{amssymb}
 \usepackage{multicol}
-
-
-\institute{Institut fÃŒr Meteorologie und Klimatologie, Leibniz UniversitÃ€t Hannover}
+\usepackage{pdfcomment}
+\usepackage{xcolor}
+
+\institute{Institute of Meteorology and Climatology, Leibniz UniversitÃ€t Hannover}
+\selectlanguage{english}
 \date{last update: \today}
 \event{PALM Seminar}
 \setbeamertemplate{navigation symbols}{}
-
+\setbeamersize{text margin left=.5cm,text margin right=.2cm}
 \setbeamertemplate{footline}
-  {
+  {%
     \begin{beamercolorbox}[rightskip=-0.1cm]&
      {\includegraphics[height=0.65cm]{imuk_logo.pdf}\hfill \includegraphics[height=0.65cm]{luh_logo.pdf}}
     \end{beamercolorbox}
-    \begin{beamercolorbox}[ht=2.5ex,dp=1.125ex,
-      leftskip=.3cm,rightskip=0.3cm plus1fil]{title in head/foot}
-      {\leavevmode{\usebeamerfont{author in head/foot}\insertshortauthor} \hfill \eventname \hfill \insertframenumber \; / \inserttotalframenumber}
-    \end{beamercolorbox}
-    \begin{beamercolorbox}[colsep=1.5pt]{lower separation line foot}
-    \end{beamercolorbox}
-  }
-%\logo{\includegraphics[width=0.3\textwidth]{luhimuk_logo.pdf}}
+    \begin{beamercolorbox}[ht=2.5ex,dp=1.125ex,%
+      leftskip=.3cm,rightskip=0.3cm plus1fil]{title in head/foot}%
+      {\leavevmode{\usebeamerfont{author in head/foot}\insertshortauthor} \hfill \eventname \hfill \insertframenumber \; / \inserttotalframenumber}%
+    \end{beamercolorbox}%
+%    \begin{beamercolorbox}[colsep=1.5pt]{lower separation line foot}%
+%    \end{beamercolorbox}
+  }%\logo{\includegraphics[width=0.3\textwidth]{luhimuk_logo.eps}}
 
 \title[Basic Equations]{Basic Equations}
-\author{Siegfried Raasch}
+\author{PALM group}
 
 \begin{document}
@@ -159,5 +161,5 @@
       \end{equation*}
    \end{itemize}
-   \onslide<6-> \tikzstyle{plain} = [rectangle, draw, text width=0.27\textwidth, font=\small]
+   \onslide<6-> \tikzstyle{plain} = [rectangle, draw, text width=0.255\textwidth, font=\small]
 
    \begin{tikzpicture}[remember picture, overlay]
@@ -218,14 +220,16 @@
       \end{column}
       \begin{column}{0.32\textwidth}
-      \vspace{45mm}     
+      \vspace{45mm}
+      \hspace{-1.75cm}
       \begin{footnotesize}
          \onslide<3->$R_{ki}$: \textbf{Reynolds-stress} \\
-         $C_{ki}$: \textbf{cross-stress} \\
-         $L_{ki}$: \textbf{Leonard-stress} \\
-         $\tau_{ki}$: \textbf{total stress-tensor}
+         \hspace*{-1.5cm}$C_{ki}$: \textbf{cross-stress} \\
+         \hspace*{-1.5cm}$L_{ki}$: \textbf{Leonard-stress} \\
+         \hspace*{-1.5cm}$\tau_{ki}$: \textbf{total stress-tensor}\\
+         \hspace*{-1.05cm} \textbf{generalized Reynolds stress}\\
       \end{footnotesize}
       \end{column}
    \end{columns}
-   \onslide<4->\tikzstyle{plain} = [rectangle, draw, text width=0.27\textwidth, font=\small]
+   \onslide<4->\tikzstyle{plain} = [rectangle, draw, text width=0.25\textwidth, font=\small]
       \begin{tikzpicture}[remember picture, overlay]
       \node at (current page.north west){
@@ -261,5 +265,5 @@
       \end{equation*}
    \end{itemize}
-   \onslide<1->\tikzstyle{plain} = [rectangle, draw, text width=0.27\textwidth, font=\small]
+   \onslide<1->\tikzstyle{plain} = [rectangle, draw, text width=0.25\textwidth, font=\small]
       \begin{tikzpicture}[remember picture, overlay]
       \node at (current page.north west){
@@ -311,5 +315,5 @@
 
    \begin{picture}(0.0,0.0) 
-      \put(140,13){\uncover<6->{\includegraphics[width=0.6\textwidth]{basic_equations_figures/explicit_implicit.png}}}
+      \put(140,0){\uncover<6->{\includegraphics[width=0.6\textwidth]{basic_equations_figures/explicit_implicit.png}}}
    \end{picture}
 \end{frame}
@@ -351,5 +355,5 @@
       \onslide<2->
       \begin{flalign*}
-         &\frac{\partial \overline{u_i}}{\partial t} = - \frac{\partial \overline{u_k}\,\overline{u_i}}{\partial x_k} - \frac{1}{\rho_0} \frac{\partial \overline{\pi}^*}{\partial x_i} - \varepsilon_{ijk}f_j \overline{u_k} + \varepsilon_{i3k} f_3 \overline{u}_{k_\mathrm{g}} + g \frac{\overline{T}-T_0}{T_0} \delta_{i3} + \nu \frac{\partial^2 \overline{u_i}}{\partial x_k^2} - \frac{\partial \tau_{ki}^r}{\partial x_k}&
+         &\frac{\partial \overline{u_i}}{\partial t} = - \frac{\partial \overline{u_k}\,\overline{u_i}}{\partial x_k} - \frac{1}{\rho_0} \frac{\partial \overline{\pi}^*}{\partial x_i} - \varepsilon_{ijk}f_j \overline{u_k} + \varepsilon_{i3k} f_3 \overline{u}_{k_\mathrm{g}} + g \frac{\overline{\theta}-\theta_0}{\theta_0} \delta_{i3} + \nu \frac{\partial^2 \overline{u_i}}{\partial x_k^2} - \frac{\partial \tau_{ki}^r}{\partial x_k}&
       \end{flalign*}
       \item<4-> First principle (using potential\\ temperature):
Index: palm/trunk/TUTORIAL/SOURCE/final_remarks.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/final_remarks.tex	(revision 1528)
+++ palm/trunk/TUTORIAL/SOURCE/final_remarks.tex	(revision 1531)
@@ -151,4 +151,6 @@
       \vspace{5mm}
       \item<3->{Ready for deep convection using anelastic system of equations}
+      \vspace{5mm}
+      \item<4->{Nesting methods are under development}
    \end{itemize}
 \end{frame}
Index: palm/trunk/TUTORIAL/SOURCE/non_cyclic_boundary_conditions.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/non_cyclic_boundary_conditions.tex	(revision 1528)
+++ palm/trunk/TUTORIAL/SOURCE/non_cyclic_boundary_conditions.tex	(revision 1531)
@@ -385,4 +385,5 @@
       \item<2->{So far, these methods have been applied only to a few special cases (cold air outbreaks, urban canopy layer for neutral stratification). Other setups may require modifications.}
       \item<3->{Biggest problems are caused by gravity waves in capping inversions. Simulations with pure neutral stratification cause less problems.}
+      \item<4->{A synthetic turbulence generator will be available around mid 2015 as an additional option for creating inflow turbulence}
    \end{itemize}
 \end{frame}
Index: palm/trunk/TUTORIAL/SOURCE/parallelization.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/parallelization.tex	(revision 1528)
+++ palm/trunk/TUTORIAL/SOURCE/parallelization.tex	(revision 1531)
@@ -249,7 +249,11 @@
          \ \\
          \ \\
+         \vspace*{-0.05cm}
          \textcolor{blue}{columns of i}\\
+         \vspace*{-0.04cm}
          \textcolor{red}{no contiguous data at all}\\
+         \vspace*{0.17cm}
          \onslide<9-> \textcolor{blue}{columns of k}\\
+         \vspace*{-0.04cm}
          \textcolor{red}{planes of k,j (all data contiguous)}
       \end{column}
@@ -262,5 +266,5 @@
       \vspace{2mm}
       \item<12-> OpenMP parallelization as well as mixed usage of OpenMP and
-                    MPI is also realized.
+                    MPI is realized.
    \end{itemize}
 \end{frame}
@@ -570,11 +574,11 @@
    \frametitle{Performance Examples (III)} 
    \begin{itemize}
-      \item Simulation with $2160^3$ grid points  ($\sim$ 2 TByte memory)
+      \item Simulation with $4320^3$ grid points  ($\sim$ 13 TByte memory)
    \end{itemize}
       \begin{columns}[T]
          \begin{column}{0.5\textwidth}
-            \includegraphics[scale=0.3]{parallelization_figures/perf_4.png} \\
+            \includegraphics[scale=0.5]{parallelization_figures/perf_4.png} \\
             \scriptsize
-            \quad Cray-XC30, HLRN-III, Hannover\\
+            \quad Cray-XC40, HLRN-III, Hannover\\
             \quad (2D-domain decomposition)
          \end{column}
Index: palm/trunk/TUTORIAL/SOURCE/program_structure.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/program_structure.tex	(revision 1528)
+++ palm/trunk/TUTORIAL/SOURCE/program_structure.tex	(revision 1531)
@@ -916,5 +916,5 @@
    \frametitle{Important Variables and Their Declaration}
    \begin{itemize}
-      \item<2->{3D-arrays of prognostic variables are named $\Psi$, and $\Psi_p$ for time level $t$, and $t+\Delta t$, respectively, with $\Psi = u$, $v$, $w$, $pt$, $q$, $e$, $sa$}
+      \item<2->{3D-arrays of prognostic variables are named $\Psi$, and $\Psi_p$ for time level $t$, and $t+\Delta t$, respectively, with $\Psi = u$, $v$, $w$, $pt$, $q$, $e$, $sa$, $u\_p$, $v\_p$, ...}
       \vspace{2.5mm}
       \item<3->{They are by default declared as $\Psi$($z$,$y$,$x$) or $\Psi$($k$,$j$,$i$), e.g.\\
Index: palm/trunk/TUTORIAL/SOURCE/user_defined_code.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/user_defined_code.tex	(revision 1528)
+++ palm/trunk/TUTORIAL/SOURCE/user_defined_code.tex	(revision 1531)
@@ -616,20 +616,20 @@
                        \texttt{!--    No calls for single grid points are allowed at locations before and}\\
                        \texttt{!--    after the timestep, since these calls are not within an i,j-loop}\\
-                       ~~~~~~~\texttt{SELECT CASE ( location )}\\
+                       ~~~~~~\texttt{SELECT CASE ( location )}\\
                        \texttt{...}\\
                        ~~~~~~~~~~\texttt{CASE ( 'after\_timestep' )}\\
                        \texttt{!}\\
-                       \texttt{!-- Enter actions to be done after every timestep here}\\
+                       \texttt{!-- \hspace{6mm}Enter actions to be done after every timestep here}\\
                        \par\medskip
                        ~~~~~~~~~~\texttt{CASE ( 'u-tendency' )}\\
                        \texttt{!}\\
-                       \texttt{!-- Enter actions to be done in the u-tendency term here}\\
-                       ~~~~~~~~~~~~~\texttt{\textcolor{blue}{DO i = nxl, nxr}}\\
-                       ~~~~~~~~~~~~~~~~\texttt{\textcolor{blue}{DO j = nys, nyn}}\\
-                       ~~~~~~~~~~~~~~~~~~~\texttt{\textcolor{blue}{DO k = nxb+1, nzt}}\\
-                       ~~~~~~~~~~~~~~~~~~~~~~~~~\texttt{\textcolor{blue}{tend(k,j,i) = tend(k,j,i) - const * u(k,j,i) ...}}\\
-                       ~~~~~~~~~~~~~~~~~~~\texttt{\textcolor{blue}{ENDDO}}\\
-                       ~~~~~~~~~~~~~~~~\texttt{\textcolor{blue}{ENDDO}}\\
-                       ~~~~~~~~~~~~~\texttt{\textcolor{blue}{ENDDO}}\\
+                       \texttt{!-- \hspace{6mm}Enter actions to be done in the u-tendency term here}\\
+                       ~~~~~~~~~~~~~~\texttt{\textcolor{blue}{DO i = nxl, nxr}}\\
+                       ~~~~~~~~~~~~~~~~~\texttt{\textcolor{blue}{DO j = nys, nyn}}\\
+                       ~~~~~~~~~~~~~~~~~~~~\texttt{\textcolor{blue}{DO k = nxb+1, nzt}}\\
+                       ~~~~~~~~~~~~~~~~~~~~~~~~~~\texttt{\textcolor{blue}{tend(k,j,i) = tend(k,j,i) - const * u(k,j,i) ...}}\\
+                       ~~~~~~~~~~~~~~~~~~~~\texttt{\textcolor{blue}{ENDDO}}\\
+                       ~~~~~~~~~~~~~~~~~\texttt{\textcolor{blue}{ENDDO}}\\
+                       ~~~~~~~~~~~~~~\texttt{\textcolor{blue}{ENDDO}}\\
                        \par\bigskip
                        ~~~~~~~~~~\texttt{CASE ( 'v-tendency' )}\\
@@ -671,27 +671,27 @@
       \node [yellow,shift={(9.2 cm,3.0cm)}]  at (current page.south west){~\texttt{SUBROUTINE user\_actions\_ij( i, j, location )}\\
                                                                           \par\medskip
-                                                                          ~~~\texttt{USE control\_parameters}\\
-                                                                          ~~~\texttt{USE pegrid}\\
-                                                                          ~~~\texttt{USE user}\\
+                                                                          ~~~~~~\texttt{USE control\_parameters}\\
+                                                                          ~~~~~~\texttt{USE pegrid}\\
+                                                                          ~~~~~~\texttt{USE user}\\
                                                                           \par\medskip
-                                                                          ~~~\texttt{IMPLICIT NONE}\
+                                                                          ~~~~~~\texttt{IMPLICIT NONE}\
                                                                           \par\medskip
-                                                                          ~~~\texttt{CHARACTER (LEN=*) ::  location}\\
+                                                                          ~~~~~~\texttt{CHARACTER (LEN=*) ::  location}\\
                                                                           \par\medskip
-                                                                          ~~~\texttt{INTEGER(iwp) ::  i, idum, j}\\
+                                                                          ~~~~~~\texttt{INTEGER(iwp) ::  i, idum, j}\\
                                                                           \par\medskip
                                                                           \texttt{!}\\
                                                                           \texttt{!--    Here the user-defined actions follow}\\
                                                                           \vspace{0.5mm}
-                                                                          ~~~\texttt{SELECT CASE ( location )}\\
+                                                                          ~~~~~~\texttt{SELECT CASE ( location )}\\
                                                                           \par\medskip
-                                                                          ~~~~~~\texttt{CASE ( 'u-tendency' )}\\
+                                                                          ~~~~~~~~~\texttt{CASE ( 'u-tendency' )}\\
                                                                           \texttt{!}\\
-                                                                          \texttt{!--Enter actions to be done in the u-tendency term here}\\
-                                                                          ~~~~~~~~~\texttt{\textcolor{blue}{DO k = nzb+1, nzt-1}}\\
-                                                                          ~~~~~~~~~~~~~~~\texttt{\textcolor{blue}{tend(k,j,i) = tend(k,j,i) + ...}}\\
-                                                                          ~~~~~~~~~\texttt{\textcolor{blue}{ENDDO}}\\
+                                                                          ~~~~~~\texttt{!-- Enter actions to be done in the u-tendency term here}\\
+                                                                          ~~~~~~~~~~~~\texttt{\textcolor{blue}{DO k = nzb+1, nzt-1}}\\
+                                                                          ~~~~~~~~~~~~~~~~~~\texttt{\textcolor{blue}{tend(k,j,i) = tend(k,j,i) + ...}}\\
+                                                                          ~~~~~~~~~~~~\texttt{\textcolor{blue}{ENDDO}}\\
                                                                           \par\medskip
-                                                                          ~~~~~~\texttt{CASE ( 'v-tendency' )}};
+                                                                          ~~~~~~~~~\texttt{CASE ( 'v-tendency' )}};
 %          {%
 %          \begin{tikzpicture}[remember picture, overlay]